Description

I thought of it while reading ticket #36860.

There, a console command is recommended for deleting orphaned files - never a good solution in my opinion!

Rather, there should be a link in the admin area. This would be especially useful if you don't have access to the console (e.g.

Docker/Synology NAS)

Related issues:

Related to Redmine - Feature #10253: Better handling of attachments when vali... Closed

History

#1 - 2022-04-01 01:21 - Go MAEDA

- Related to Feature #10253: Better handling of attachments when validation fails added

#2 - 2022-04-01 01:29 - Go MAEDA

- Category set to Administration

Redmine 5.0 has four "prune" tasks. I think it would be even better if some of them are integrated into Administration pages as well.

$ bin/rake -T | grep prune

rake redmine:attachments:prune                   # Removes uploaded files left unattached after one day

rake redmine:tokens:prune                        # Removes expired tokens

rake redmine:users:prune                         # Removes registered users that have not been activated after

 a number of days

rake redmine:watchers:prune                      # Removes watchers from what they can no longer view

#3 - 2022-04-03 07:44 - avishek poudel

This ticket is assigned to erp developer.
